BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 07-29-2005, 10:53 PM   #1 (permalink)
New Member
 
Join Date: Jul 2005
Model: 7520
Posts: 6
Post Thanks: 0
Thanked 0 Times in 0 Posts
Angry Banking websites

Please Login to Remove!

I've been trying to log in to www.bankofamerica.com (Bank of america) but it says I need to download microsoft internet explorer in order to view my account via my bb because the 4.0 software is too old. Doe's anyone know how to get around this problem? I'm confused???
Offline  
Old 07-29-2005, 11:49 PM   #2 (permalink)
Thumbs Must Hurt
 
deej's Avatar
 
Join Date: Jul 2005
Location: Washington State
Model: 9550
Carrier: Verizon
Posts: 88
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Very good question. However I don't have an answer, but that's weird, I too have been wondering why I can't log into BOA. I could not do it on my Dell Axim, and the same thing is happening with the my Blackberry. I think it has something to do with encryption from the bank, but I will be checking back for an answer.

deej
Offline  
Old 07-30-2005, 06:58 AM   #3 (permalink)
New Member
 
Join Date: Jul 2005
Model: 7520
Posts: 6
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I've emailed them about it but they have'nt gotten back to me yet.
Offline  
Old 07-30-2005, 07:09 AM   #4 (permalink)
New Member
 
Join Date: Jul 2005
Model: 7520
Posts: 6
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I just called and they said that they are working on making it possible, it's not very secure right now so its not supported by the hand held yet.
Offline  
Old 07-30-2005, 09:40 AM   #5 (permalink)
Thumbs Must Hurt
 
deej's Avatar
 
Join Date: Jul 2005
Location: Washington State
Model: 9550
Carrier: Verizon
Posts: 88
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Thanks for the update.

deej
Offline  
Old 07-30-2005, 09:54 AM   #6 (permalink)
BlackBerry God
 
jibi's Avatar
 
Join Date: Oct 2004
Location: Jibi's Secret Place
Model: 8900
OS: 4.6.1.174
Carrier: AT&T
Posts: 11,310
Post Thanks: 0
Thanked 1 Time in 1 Post
Default

websites are typically not coded for the use on handhelds. financial institutions have to follow various security guidelines as well, so that would be another reason for not making online banking available on phones. i don't think their website is not secure, as mentioned, but rather the phone is simply not supported. BOA has taken the time to make their website compatible with IE 5.0+, Netscape 6.2+ (or Mozilla), and Safari (Mac default browser).
__________________
In the beginning the Universe was created. This has made a lot of people very angry and is widely regarded as a bad move.
Offline  
Old 07-30-2005, 10:27 AM   #7 (permalink)
CrackBerry Addict
 
T-Roy's Avatar
 
Join Date: Jan 2005
Model: 8800
Carrier: Darth Vader
Posts: 704
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I know I can do my banking with handheld code 4.0.
The Banks site sounds like its checking the browser version and not recognizing it so it is saying it is unsupported.
Offline  
Old 07-30-2005, 02:14 PM   #8 (permalink)
Talking BlackBerry Encyclopedia
 
udontknowjack's Avatar
 
Join Date: Aug 2004
Location: State of Confusion
Model: 9000
Carrier: T-Mobile
Posts: 483
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

You can go to the browser and options and change the emulation to Internet Explorer. This is what I do to get to my bank. This only works for the carrier's browser not the MDS browser for me. My carrier is T-Mobile. I feel it is as secure as doing at your computer. It is still running SSL 128bit.
Offline  
Old 07-30-2005, 05:03 PM   #9 (permalink)
Thumbs Must Hurt
 
cbotd's Avatar
 
Join Date: Feb 2005
Model: 7230
Posts: 172
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Which Bank

I have a Natial City account it it does not work in the t-mobile browser or in reqwireless.

No errors, just doesn't let me log in. Pop up realted perhaps?
Offline  
Old 07-30-2005, 10:30 PM   #10 (permalink)
BlackBerry Extraordinaire
 
Join Date: May 2005
Location: Waterloo: Home of RIM
Model: PlayB
Carrier: Bell Mobility
Posts: 1,008
Post Thanks: 1
Thanked 4 Times in 3 Posts
Default

Wirelessly posted (7250: BlackBerry7250/4.0.0 Profile/MIDP-2.0 Configuration/CLDC-1.1)

Some websites require cookies. This could explain why its not working.
Offline  
Old 07-30-2005, 10:57 PM   #11 (permalink)
New Member
 
Join Date: Jul 2005
Model: 7520
Posts: 6
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I changed my emulation mode to netscape and now it works fine for me. Thanks
Offline  
Old 07-30-2005, 11:03 PM   #12 (permalink)
BlackBerry God
 
jibi's Avatar
 
Join Date: Oct 2004
Location: Jibi's Secret Place
Model: 8900
OS: 4.6.1.174
Carrier: AT&T
Posts: 11,310
Post Thanks: 0
Thanked 1 Time in 1 Post
Default

Quote:
Originally Posted by Jase88
Wirelessly posted (7250: BlackBerry7250/4.0.0 Profile/MIDP-2.0 Configuration/CLDC-1.1)

Some websites require cookies. This could explain why its not working.
The blackberry can handle session cookies just fine.
__________________
In the beginning the Universe was created. This has made a lot of people very angry and is widely regarded as a bad move.
Offline  
Old 07-31-2005, 12:09 AM   #13 (permalink)
New Member
 
Join Date: Jul 2005
Model: 8100
Carrier: CellOne
Posts: 8
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by Blackberry03
I've been trying to log in to www.bankofamerica.com (Bank of america) but it says I need to download microsoft internet explorer in order to view my account via my bb because the 4.0 software is too old. Doe's anyone know how to get around this problem? I'm confused???
My first guess would be that it is more related to USER AGENT than anything else:

var platform= navigator.platform.toLowerCase(); // Operating system
var appName = navigator.appName; // Browser name
var appVer= parseInt(navigator.appVersion); // Browser versionnumber

It appears as though the script is checking the OS (platform) and browser/version # to set the correct style sheet. It checks for the following OSs: WIN, MAC, OS2. If the OS does NOT match the aforementioned OSs, it sets the browser name and version to Netscape 4.
Code:
else    // all other platforms
    {
        if (appName == "Netscape" && appVer >= 4) // Netscape 4
        {
            doc.writeln('<link rel="stylesheet" type="text/css" href="/eas-docs/images/mac_ns4.css">');
        }
        else
        {
            doc.writeln('<link rel="stylesheet" type="text/css" href="/eas-docs/images/win_ie.css">');
        }
    }
If there is a way to override your user agent, you could try that, but I don't know if that can be done on a blackberry or not.
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.